### Constructor

# Foundry LinkedPipelineStage new_full

since: 1.1

#### Declaration [src]

    FoundryBuildStage*
    foundry_linked_pipeline_stage_new_full (
      FoundryContext* context,
      FoundryBuildPipeline* linked_pipeline,
      FoundryBuildPipelinePhase phase,
      FoundryBuildPipelinePhase linked_phase
    )

#### Description [src]

Creates a new linked pipeline stage that will execute `linked_pipeline` at `linked_phase` when our pipeline reaches `phase`.

Available since: 1.1

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext`.

  The data is owned by the caller of the function.

`linked_pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline` to link.

  The data is owned by the caller of the function.

`phase`

  Type: `FoundryBuildPipelinePhase`

  The phase of our pipeline when this stage should run.

`linked_phase`

  Type: `FoundryBuildPipelinePhase`

  The phase of the linked pipeline to execute.

#### Return value

Type: `FoundryBuildStage`

A new `FoundryBuildStage`.

The caller of the function takes ownership of the data, and is responsible for freeing it.